<?xml version="1.0" encoding="UTF-8" ?>

<ClassComponent localName="Timer" description=""
	fileName="NPCTimer.jar" className="org.mati.npc.components.timer.NPCTimer"
	version="9115" time="17.02.2009 01:05:07">

	<Group>Основные компоненты</Group>

	<INLink name="In"
		description="Входящая связь со всех созможных сенсоров, допускает управление кнопкой от другого компонента. Управляющий сигнал передается по всем исходящим связям если он не дублирует текущее состояние"
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</INLink>
	<INLink name="InUniversal"
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="0" nullable="true">
	</INLink>

	<OUTLink name="Out"
		description="Исходящая связь для управления эффекторами"
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</OUTLink>
	<OUTLink name="OutE"
		description="Исходящая связь для управления эффекторами"
		interfaceName="org.mati.npc.components.interfaces.Effector"
		linksNumber="0" nullable="true">
	</OUTLink>

	<Attribute name="TimeOut" description="Задержка (в мс)"
		type="java.lang.Integer" nullable="true" defaultValue="0">
	</Attribute>
</ClassComponent>